Summary: Digest-MD2 - Perl interface to the MD2 Algorithm
Name: perl-Digest-MD2
Version: 2.03
Release: 1AX
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Digest-MD2-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{name}

%description
The Digest::MD2 module allows you to use the RSA Data Security Inc. MD2 Message Digest algorithm from within Perl programs. The algorithm takes as input a message of arbitrary length and produces as output a 128-bit "fingerprint" or "message digest" of the input.

The Digest::MD2 programming interface is identical to the interface of Digest::MD5.

%prep
%setup -q -n Digest-MD2-%{version}

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=${RPM_BUILD_ROOT}/usr INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Digest-MD2-%{version}-filelist
if [ "$(cat Digest-MD2-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Digest-MD2-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Fri Apr 30 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - rebuild for Asianux 1.0


